Page MenuHomePhabricator

Special:ComparePages fails HTML validation
Closed, ResolvedPublic

Description

Special:ComparePages contains HTML errors: https://validator.w3.org/nu/?doc=https%3A%2F%2Ftranslatewiki.net%2Fwiki%2FSpecial%3AComparePages

Error: Element div not allowed as child of element label in this context. (Suppressing further errors from this subtree.)

From line 42, column 1174; to line 42, column 1210

e 1</span><div class='oo-ui-fieldLayout-field'><div i

Contexts in which element div may be used: Where flow content is expected.
Content model for element label: Phrasing content, but with no descendant labelable elements unless it is the element's labeled control, and no descendant label elements.

Error: Stray end tag input.

From line 42, column 1619; to line 42, column 1626

et-input'></input><span

Error: Element div not allowed as child of element label in this context. (Suppressing further errors from this subtree.)

From line 42, column 2173; to line 42, column 2209

n 1</span><div class='oo-ui-fieldLayout-field'><div i

Contexts in which element div may be used: Where flow content is expected.
Content model for element label: Phrasing content, but with no descendant labelable elements unless it is the element's labeled control, and no descendant label elements.

Error: Stray end tag input.

From line 42, column 2533; to line 42, column 2540

et-input'></input><span

Error: Element div not allowed as child of element label in this context. (Suppressing further errors from this subtree.)

From line 42, column 3623; to line 42, column 3659

e 2</span><div class='oo-ui-fieldLayout-field'><div i

Contexts in which element div may be used: Where flow content is expected.
Content model for element label: Phrasing content, but with no descendant labelable elements unless it is the element's labeled control, and no descendant label elements.

Error: Stray end tag input.

From line 42, column 4068; to line 42, column 4075

et-input'></input><span

Error: Element div not allowed as child of element label in this context. (Suppressing further errors from this subtree.)

From line 42, column 4622; to line 42, column 4658

n 2</span><div class='oo-ui-fieldLayout-field'><div i

Contexts in which element div may be used: Where flow content is expected.
Content model for element label: Phrasing content, but with no descendant labelable elements unless it is the element's labeled control, and no descendant label elements.

Error: Stray end tag input.

From line 42, column 4982; to line 42, column 4989

et-input'></input><span

Warning: The button role is unnecessary for element button.

From line 47, column 436; to line 47, column 581

ubmit"]}'><button type='submit' tabindex='0' aria-disabled='false' value='Compare' role='button' class='oo-ui-inputWidget-input oo-ui-buttonElement-button'><span

Related Objects

Event Timeline

Fomafix created this task.Jan 11 2016, 5:19 PM
Fomafix raised the priority of this task from to Needs Triage.
Fomafix updated the task description. (Show Details)
Fomafix added a subscriber: Fomafix.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptJan 11 2016, 5:19 PM
Aklapper renamed this task from Special:ComparePages contains HTML errors to Special:ComparePages fails HTML validation.Jan 14 2016, 2:44 PM
Aklapper set Security to None.
Fomafix closed this task as Resolved.Jul 4 2017, 5:31 AM

Validation shows no errors anymore.